Subject: Re: [CCAMP] Please provide your comments - draft-dhillon-ccamp-super-channel-ospfte-ext

From: Abinder Dhillon <[email-masked]>
Date: Fri, 4 Nov 2011 17:00:06 +0000

Hi Ramon,

Thanks for your comments.

For super channel, there is not much meaning of Max LSP BW in bps.
All we need to specify  is the max number of spectral slices. I am proposing to have this information in ISCD specific inform  field.

So my take will be either we can ignore the max lsp BW  for SwitchCap=SCSC.  If we want to show the
Max LSP BW in bps then we can convert the  spectral bandwidth into bps based on the modulation.

I have provided more details in ver01 of this draft. Please take a look and let me  know if you have any other questions.

Regards......Abinder

From: Ramon Casellas [mailto:[email-masked]]
Sent: Thursday, October 27, 2011 12:11 PM
To: [email-masked]
Subject: Re: [CCAMP] Please provide your comments - draft-dhillon-ccamp-super-channel-ospfte-ext

El 27/10/2011 20:42, Abinder Dhillon escribió:
Folks,

http://datatracker.ietf.org/doc/draft-dhillon-ccamp-super-channel-ospfte-ext

Regards.....Abinder

Hi Abinder,

Interesting draft, thank you.

One question, if I may: what bandwidth values (Unreserved, Max LSP Bw. per priority etc.) do you disseminate for the ISCD and other sub-TLVs?
Regardless of the actual encoding, we all seem to agree on disseminating available frequency ranges (or nominal freqs in the flexi-grid).
Yet I don't see a trivial mapping between available optical spectrum frequency ranges (e.g. within the C band) and "bytes per second".

The only mapping I can think of, if we assume a superchannel as a contiguous frequency slot (without gaps), is to identify the greatest available frequency range (in GHz) and to assume a worst case modulation with 1 Hz = 1 bit/s
Even in this case, the unreserved bandwidth per priority does not seem very useful, since it does not account for fragmentation, and this also means that the "max lsp bw" is updated at each change, imho.

Alternatively, if nominal flexi-grid frequencies are disseminated, aren't all bandwidth-related (sub)TLVs somehow deprecated?

Your comments are much welcome :-)

Thanks in advance and best regards
Ramon